Page MenuHomePhabricator

Move jobs off Trusty job grid on Toolforge
Closed, ResolvedPublic

Description

What are we doing?

The Trusty job grid on Toolforge is being decommissioned. We need to move all the jobs our tools use from there to the new grid. The details about migration seem straightforward.

If we don't do this, our jobs will begin failing on 2019-03-25.

If we do not own all of these tools, we should endeavor to find the owners and ensure they are doing the migration.

List of affected tools

  • commtech-commons
  • database-reports
  • deadlinks
  • grantmetrics
  • jarry-common
  • popularpages
  • popularpages-dev
  • musikbot (runs some CommTech tasks)
  • eranbot (NPP relies on this and it's our territory now)
  • ia-upload
  • xtools
  • xtools-articleinfo

Does this need QA?

Sure. When the jobs are moved, we should attempt to trigger them, if appropriate, and ensure they execute without failures. Further, we should validate they produce the correct output (DB updates, files, etc.).

Related Objects

Event Timeline

aezell created this task.Feb 7 2019, 10:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 7 2019, 10:15 PM
MaxSem updated the task description. (Show Details)Feb 7 2019, 10:19 PM
Niharika updated the task description. (Show Details)Feb 7 2019, 10:24 PM
MusikAnimal updated the task description. (Show Details)Feb 8 2019, 7:46 PM
Niharika updated the task description. (Show Details)Feb 8 2019, 9:42 PM
Niharika added subscribers: eranroz, Niharika.

Ping @eranroz! I added eranbot to our list of tools to upgrade to Stretch. Let us know if you've already done it! Thank you. :)

Samwilson updated the task description. (Show Details)Feb 8 2019, 11:29 PM
Samwilson added a subscriber: Samwilson.

I added three more tools that were on the email to me. I guess they're not maintained by community-tech-tools.

I don't think ocr4wikisource should be on the list, we don't maintain that (the Google OCR tool is ws-google-ocr). @Niharika you're the only one of us who's a maintainer on that, it looks like.

I don't think ocr4wikisource should be on the list, we don't maintain that (the Google OCR tool is ws-google-ocr). @Niharika you're the only one of us who's a maintainer on that, it looks like.

Ah, got it.

Niharika updated the task description. (Show Details)Feb 8 2019, 11:36 PM
MusikAnimal updated the task description. (Show Details)Feb 14 2019, 10:44 PM
MusikAnimal updated the task description. (Show Details)Feb 14 2019, 10:47 PM

popularpages needs to be bumped to PHP 7.2 to work on Stretch (at least without warnings). PR at https://github.com/wikimedia/popularpages/pull/8

I don't know why CopyPatrol didn't show up, but it also needs to be updated to support PHP 7.2. PR at https://github.com/wikimedia/CopyPatrol/pull/58. I've got production running on this branch so that it's functional, and also am using the PHP 7.2 Kubernetes container, as recommended by Cloud Services.

MusikAnimal updated the task description. (Show Details)Feb 17 2019, 8:13 PM
MusikAnimal updated the task description. (Show Details)Feb 19 2019, 3:00 AM
MusikAnimal updated the task description. (Show Details)Feb 19 2019, 3:14 AM
Samwilson added a subscriber: Tpt.

The webservice for ia-upload was already done (I guess by @Tpt?) and I've just moved the cronjob as well.

Samwilson updated the task description. (Show Details)Feb 19 2019, 4:15 AM
MusikAnimal updated the task description. (Show Details)Feb 21 2019, 10:41 PM
MusikAnimal updated the task description. (Show Details)Feb 25 2019, 9:05 PM
MusikAnimal updated the task description. (Show Details)Feb 26 2019, 5:23 PM
MusikAnimal updated the task description. (Show Details)Mar 1 2019, 3:02 AM

database-reports is Python, so I can't help there. Everything else should be on Stretch now.

MusikAnimal updated the task description. (Show Details)Mar 8 2019, 1:44 AM
MusikAnimal added a comment.EditedMar 26 2019, 8:20 PM

Are we done here? The database reports bot is now broken, but that is covered by T218747

Are we done here? The database reports bot is now broken, but that is covered by T218747

Looks like it. :) Good teamwork here!

Niharika closed this task as Resolved.Mar 26 2019, 8:39 PM